###########################################################
#     site 'stddir_darwin.sh' - Bash shell	              #
#                                                         #
# DO NOT EDIT THIS FILE!                                  #
# This file is part of a production system.               #
###########################################################
# Changes to it effect everyone.  Please play nice        #
# and contact the CDS sys admin if you feel this file     #
# needs to be changed.                                    #
#                                                         #
# $Id: stddir_linux.sh 983 2010-08-17 17:16:42Z keith.thorne@LIGO.ORG $
###########################################################
# Get info on processor
proctype=`uname -m`
#  First determine OS_ARCH
# add breakdown by OS_X version
osxrel=`sw_vers -productVersion`
if [ "$proctype" == "x86_64" ] ; then
    if [ "$osxrel" == "10.8."* ] ; then
      export OS_ARCH=macos10_8
    elif [ "$osxrel" == "10.9."* ] ; then
      export OS_ARCH=macos10_9
    elif [ "$osxrel" == "10.10."* ] ; then
      export OS_ARCH=macos10_10
    else
      export OS_ARCH=darwin-x86_64
    fi
else
    export OS_ARCH=darwin-x86
fi

# set APPSROOT from here
export APPSROOT=${APPSBASEDIR}/${OS_ARCH}

SYSBIN=/opt/local/bin:/usr/local/sbin:/usr/bin:/bin
SYSLIB=/opt/local/lib:/usr/lib:/lib
export SYSBIN
export SYSLIB

# ** Setup EPICS **
#  Determine EPICS_HOST_ARCH
if [ "$proctype" = "x86_64" ]; then
   EPICS_HOST_ARCH=darwin-x86
else
   EPICS_HOST_ARCH=darwin-x86
fi
if [ -d ${APPSROOT}/epics ] ; then
    epicstop=${APPSROOT}/epics
    EPICS_BASE=${epicstop}/base
    EPICS_EXTENSIONS=${epicstop}/extensions
    export EPICS_BASE
    export EPICS_EXTENSIONS
    EPICSBIN=${EPICS_BASE}/bin/${EPICS_HOST_ARCH}:${EPICS_EXTENSIONS}/bin/${EPICS_HOST_ARCH}
    EPICSLIB=${EPICS_BASE}/lib/${EPICS_HOST_ARCH}:${EPICS_EXTENSIONS}/lib/${EPICS_HOST_ARCH}
    EPICSPYTHONLIB=${epicstop}/pyext/pyepics/lib/python2.6/site-packages
    export EPICSBIN
    export EPICSLIB
    export EPICSPYTHONLIB
    EPICS_MODULES=${epicstop}/modules
    export EPICS_MODULES
fi

# ** setup GDS **
if [ -d ${APPSROOT}/gds ] ; then
    GDSDIR=${APPSROOT}/gds
else
    GDSDIR=/usr
fi
GDSBIN=${GDSDIR}/bin
GDSLIB=${GDSDIR}/lib
export GDSDIR
export GDSBIN
export GDSLIB

# ** setup ROOT **
if [ -d ${APPSROOT}/root ] ; then
    ROOTDIR=${APPSROOT}/root
    ROOTBIN=${ROOTDIR}/bin
    ROOTLIB=${ROOTDIR}/lib/root
    export ROOTDIR
    export ROOTBIN
    export ROOTLIB
fi
# ** setup LIGOTOOLS **
if [ -d ${APPSROOT}/root ] ; then
    LIGOTOOLS=${APPSROOT}/ligotools
    LIGOTOOLSBIN=${LIGOTOOLS}/bin
    LIGOTOOLSLIB=${LIGOTOOLS}/lib
    LIGOTOOLSMATLAB=${LIGOTOOLS}/lib
    export LIGOTOOLS
    export LIGOTOOLSBIN
    export LIGOTOOLSLIB
    export LIGOTOOLSMATLAB
fi

# ** setup MATLAB
MATDIR=${APPSROOT}/matlab
export MATDIR

# ** setup misc python packages **

if [ -d ${APPSROOT}/nds2-client/lib/python2.7/site-packages ] ; then
    NDS2LIB=${APPSROOT}/nds2-client/lib/python2.7/site-packages
    export NDS2LIB
fi
if [ -d ${APPSROOT}/pytools ] ; then
    PYTOOLSLIB=${APPSROOT}/pytools
    export PYTOOLSLIB
fi
if [ -d ${APPSROOT}/cdsutils ] ; then
    CDSUTILSBIN=${APPSROOT}/cdsutils/bin
    export CDSUTILSBIN
fi
